Balance
Use /balance to retrieve balance due on your account with last payment amount and date.
URI¶
GET /api/v1/customers/{customerId}/balance
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| billing_name | String | Name on billing account |
| ivr_fee | String | IVR transaction fee on account |
| last_payment_amount | String | Last payment amount |
| last_payment_date | String | Last payment date |
| balance | Object | The balance details |
| type | String | Type of balance(total, 30-Day or 60-Day) |
| amount | String | Balance due on account |
Tip
For information about how to test, see How To Test
Sample Request¶
https://api.wm.com/v1/customers/123456789/balance
Sample Response¶
{ "request_tracking_id": "234", "billing_name": "andrew", "ivr_fee": "5.0", "last_payment_amount": "497.7", "last_payment_date": "2014-09-01", "balance": [ { "type": "total", "amount": "30.0" }] }